Announcement

Collapse
No announcement yet.

Error when trying to update Main CSS of the theme

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts
    MajidOnline
    Member

  • MajidOnline
    replied
    Originally posted by Wayne Luke View Post
    Remove Suhosin.
    I cannot remove Suhosin, I think you should found a way to compatible your program with all systems

    Leave a comment:

  • Wayne Luke
    vBulletin Technical Support Lead

  • Wayne Luke
    replied
    Remove Suhosin.

    Leave a comment:

  • MajidOnline
    Member

  • MajidOnline
    replied
    I changed the php.ini and add these commands to my php configuration file, but I still have that problem. (I added these commands in .htaccess file too)


    We have a dedicated server,


    What should I do ?

    Leave a comment:

  • SticKer13
    New Member

  • SticKer13
    replied
    I have written to my host about this problem in the meanwhile i added the code to my .htaccess file but when i tried to load the forums it returned with a 500 internal error page. So i guess i don't have permission to override the settings.

    Leave a comment:

  • Wayne Luke
    vBulletin Technical Support Lead

  • Wayne Luke
    replied
    You need to increase the two values as specified in the error. This is a problem with your server, in particular the Suhosin module they may have added to PHP. Editing vB templates requires sending through more around 275 input fields, which goes over what Suhosin is configured to allow: 200.

    If your host is not willing to do anything to fix this, then you MAY be able to override their limits by creating an .htaccess file with the following lines and placing it in your main forum directory:

    php_value suhosin.request.max_vars 2048
    php_value suhosin.post.max_vars 2048

    Note: This will only work if your host has not blocked you from doing this.

    If you are blocked from doing this by your host, then you will need to contact them for a resolution.

    Leave a comment:

  • SticKer13
    New Member

  • SticKer13
    started a topic Error when trying to update Main CSS of the theme

    Error when trying to update Main CSS of the theme

    I upgraded my forum to the latest 3.7 version last night and installed a new theme. The theme loads fine but i wanted to make some changes to the colours.

    The problem I'm facing at the moment is when i try to change the time color from Main CSS it gives me an error. It happens when i change the color and try saving the new settings.

    Before upgrading to the latest 3.7 version i had the 3.6.7 version which was running on my main domain ie the root. I created a new sub domain ie forums.domain.com and installed 3.7 on it.

    I had no problems earlier even if i made any changes to the main css or any other changes.

    Below is the error that i get when i try to update the main css under style settings:

    Code:
    Required variables have gone missing and execution can not continue. Please try again.
    
    This error can sometimes occur as a result of Suhosin / Hardened PHP being installed on your server. If you know that you have Suhosin running and you have access to the PHP configuration, try increasing the value of the following variables:
    
        * php_value suhosin.post.max_vars
        * php_value suhosin.request.max_vars
    Any idea how i can fix this?
widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X